#!/bin/bash

###########################
#
# Draws all svgs in a sequence. Starts with a 
# fieldguide unless beginning the sequence not
# on the first frame, provided as the second argument.
#
###########################

source ./common.sh

dbSetup


for i in {0..3} ; do
	echo "Drawing registration marks ${i}..."
	bash position.sh set
	ax guides/guide_marks.svg
	name="${i}"
	number=`mktemp`.svg
	node ./numbers/ -n "${name}" -o "${number}"
	ax "${number}"
	rm -f "${number}"
	bash position.sh reset

	askContinue "Draw next registration marks?" "Drawing next field..."
done


