#!/bin/bash

###########################
#
# Centers an image in a white frame.
# Used for creating SVG files with a
# "natural" offset.
#
###########################

WIDTH=404
HEIGHT=374

#40.5
#66

#FWIDTH=323
#FHEIGHT=242

#800x800 white in center of image
#convert image.jpg -background white -gravity center -extent 800x800 output.jpg

convert -size ${WIDTH}x${HEIGHT} xc:#FFFFFF white.png
composite -gravity Center "${1}" white.png  "${2}"
rm white.png

echo "Centered in white ${1} -> ${2}"